"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "useGroundingCommandBarOverflowMenu_unstable", {
    enumerable: true,
    get: function() {
        return useGroundingCommandBarOverflowMenu_unstable;
    }
});
const _interop_require_wildcard = require("@swc/helpers/_/_interop_require_wildcard");
const _react = /*#__PURE__*/ _interop_require_wildcard._(require("react"));
const _reactcomponents = require("@fluentui/react-components");
const _utils = require("../../utils");
const OverflowMenuItem = (props)=>{
    const { children, onClick } = props;
    const value = (0, _utils.useGroundingCommandBarTabValue)(props.value);
    const isVisible = (0, _reactcomponents.useIsOverflowItemVisible)(value);
    if (isVisible) {
        return null;
    }
    return /*#__PURE__*/ _react.createElement(_reactcomponents.MenuItem, {
        onClick: onClick
    }, children);
};
const useGroundingCommandBarOverflowMenu_unstable = (props, ref)=>{
    const { children, onTabSelect, overflowButtonLabel, ...rest } = props;
    const { ref: overflowRef, overflowCount, isOverflowing } = (0, _reactcomponents.useOverflowMenu)();
    const onItemClick = _react.useCallback((e, tabValue)=>{
        onTabSelect === null || onTabSelect === void 0 ? void 0 : onTabSelect(e, {
            value: tabValue
        });
    }, [
        onTabSelect
    ]);
    const overflowItems = _react.useMemo(()=>_react.Children.map(children, (child)=>{
            if (/*#__PURE__*/ _react.isValidElement(child)) {
                var _child_key;
                return /*#__PURE__*/ _react.createElement(OverflowMenuItem, {
                    ...child.props,
                    onClick: (e)=>onItemClick(e, child.props.value),
                    key: (_child_key = child.key) === null || _child_key === void 0 ? void 0 : _child_key.toString()
                });
            } else {
                return undefined;
            }
        }), [
        children,
        onItemClick
    ]);
    const registeredTabData = (0, _reactcomponents.useTabListContext_unstable)((ctx)=>ctx.getRegisteredTabs)();
    const selectedValue = (0, _reactcomponents.useTabListContext_unstable)((ctx)=>ctx.selectedValue);
    const baseOverflowButtonLabel = `${overflowCount} more`;
    const [defaultOverflowButtonLabel, setDefaultOverflowButtonLabel] = _react.useState(baseOverflowButtonLabel);
    // Calculate label for overflow button
    _react.useEffect(()=>{
        var _registeredTabData_registeredTabs_JSON_stringify_ref_current, _registeredTabData_registeredTabs_JSON_stringify_ref, _registeredTabData_registeredTabs_JSON_stringify;
        var _overflowItems_length;
        const hasVisibleTabs = overflowCount < ((_overflowItems_length = overflowItems === null || overflowItems === void 0 ? void 0 : overflowItems.length) !== null && _overflowItems_length !== void 0 ? _overflowItems_length : Number.MAX_SAFE_INTEGER);
        if (!selectedValue || hasVisibleTabs) {
            setDefaultOverflowButtonLabel(baseOverflowButtonLabel);
            return;
        }
        // If all tabs are overflowed, use the selected tab's label as the overflow button label
        const selectedLabel = (_registeredTabData_registeredTabs_JSON_stringify = registeredTabData.registeredTabs[JSON.stringify(selectedValue)]) === null || _registeredTabData_registeredTabs_JSON_stringify === void 0 ? void 0 : (_registeredTabData_registeredTabs_JSON_stringify_ref = _registeredTabData_registeredTabs_JSON_stringify.ref) === null || _registeredTabData_registeredTabs_JSON_stringify_ref === void 0 ? void 0 : (_registeredTabData_registeredTabs_JSON_stringify_ref_current = _registeredTabData_registeredTabs_JSON_stringify_ref.current) === null || _registeredTabData_registeredTabs_JSON_stringify_ref_current === void 0 ? void 0 : _registeredTabData_registeredTabs_JSON_stringify_ref_current.innerText;
        setDefaultOverflowButtonLabel(selectedLabel !== null && selectedLabel !== void 0 ? selectedLabel : baseOverflowButtonLabel);
    }, [
        baseOverflowButtonLabel,
        overflowCount,
        overflowItems === null || overflowItems === void 0 ? void 0 : overflowItems.length,
        registeredTabData.registeredTabs,
        selectedValue
    ]);
    var _overflowButtonLabel;
    const buttonLabel = (_overflowButtonLabel = overflowButtonLabel === null || overflowButtonLabel === void 0 ? void 0 : overflowButtonLabel(overflowCount)) !== null && _overflowButtonLabel !== void 0 ? _overflowButtonLabel : defaultOverflowButtonLabel;
    return {
        isOverflowing,
        components: {
            root: 'span',
            menuTrigger: _reactcomponents.MenuTrigger,
            menuButton: _reactcomponents.MenuButton,
            menuPopover: _reactcomponents.MenuPopover,
            menuList: _reactcomponents.MenuList
        },
        root: _reactcomponents.slot.always((0, _reactcomponents.getIntrinsicElementProps)('span', {
            ref,
            ...rest
        }), {
            elementType: 'span'
        }),
        menuTrigger: _reactcomponents.slot.optional(props.menuTrigger, {
            renderByDefault: true,
            elementType: _reactcomponents.MenuTrigger
        }),
        menuButton: _reactcomponents.slot.optional(props.menuButton, {
            defaultProps: {
                ref: overflowRef,
                appearance: 'subtle',
                shape: 'circular',
                children: buttonLabel,
                role: 'tab'
            },
            renderByDefault: true,
            elementType: _reactcomponents.MenuButton
        }),
        menuPopover: _reactcomponents.slot.optional(props.menuPopover, {
            renderByDefault: true,
            elementType: _reactcomponents.MenuPopover
        }),
        menuList: _reactcomponents.slot.optional(props.menuList, {
            defaultProps: {
                children: overflowItems
            },
            renderByDefault: true,
            elementType: _reactcomponents.MenuList
        })
    };
}; //# sourceMappingURL=useGroundingCommandBarOverflowMenu.js.map
