"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    GROUNDING_MENU_GRID_AREAS: function() {
        return GROUNDING_MENU_GRID_AREAS;
    },
    groundingMenuClassNames: function() {
        return groundingMenuClassNames;
    },
    useGroundingMenuStyles_unstable: function() {
        return useGroundingMenuStyles_unstable;
    }
});
const _reactcomponents = require("@fluentui/react-components");
const _tokens = require("@fluentui-copilot/tokens");
const groundingMenuClassNames = {
    root: 'fai-GroundingMenu'
};
const GROUNDING_MENU_GRID_AREAS = {
    commandBar: 'commandBar',
    listbox: 'listbox'
};
// Height of a single item plus padding
const GROUNDING_MENU_LISTBOX_MIN_HEIGHT = `calc(48px + (2 * ${_tokens.tokens.spacingVerticalS}))`;
// Max height of the listbox as defined by design spec
const GROUNDING_MENU_LISTBOX_MAX_HEIGHT = `272px`;
/**
 * Styles for the root slot
 */ const useStyles = (0, _reactcomponents.__styles)({
    root: {
        E5pizo: "fz58gqq",
        Beyfa6y: 0,
        Bbmb7ep: 0,
        Btl43ni: 0,
        B7oj6ja: 0,
        Dimara: "f1wt32pr",
        Bxyxcbc: "fmmk62d",
        B7ck84d: "f1ewtqcl",
        Bgfg5da: 0,
        B9xav0g: 0,
        oivjwe: 0,
        Bn0qgzm: 0,
        B4g9neb: 0,
        zhjwy3: 0,
        wvpqe5: 0,
        ibv6hh: 0,
        u1mtju: 0,
        h3c5rm: 0,
        vrafjx: 0,
        Bekrc4i: 0,
        i8vvqc: 0,
        g2u3we: 0,
        icvyot: 0,
        B4j52fo: 0,
        irswps: "fhz96rm",
        B68tc82: "f1p9o1ba",
        mc9l5x: "f13qh94s",
        zoa1oz: "f1n3xztl",
        wkccdc: "f1y3r5vj",
        Budl1dq: "f1c2z91y"
    }
}, {
    d: [
        ".fz58gqq{box-shadow:var(--shadow8);}",
        [
            ".f1wt32pr{border-radius:12px;}",
            {
                p: -1
            }
        ],
        ".fmmk62d{max-height:80vh;}",
        ".f1ewtqcl{box-sizing:border-box;}",
        [
            ".fhz96rm{border:var(--strokeWidthThin) solid var(--colorNeutralStroke1);}",
            {
                p: -2
            }
        ],
        ".f1p9o1ba{overflow-x:hidden;}",
        ".f13qh94s{display:grid;}",
        ".f1n3xztl{grid-template-areas:\"commandBar\" \"listbox\";}",
        ".f1y3r5vj{grid-template-rows:auto minmax(calc(48px + (2 * var(--spacingVerticalS))), 272px);}",
        ".f1c2z91y{grid-template-columns:1fr;}"
    ]
});
const useGroundingMenuStyles_unstable = (state)=>{
    'use no memo';
    const styles = useStyles();
    state.root.className = (0, _reactcomponents.mergeClasses)(groundingMenuClassNames.root, styles.root, state.root.className);
    return state;
}; //# sourceMappingURL=useGroundingMenuStyles.styles.js.map
