"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "useGroundingMenuFunctionality", {
    enumerable: true,
    get: function() {
        return useGroundingMenuFunctionality;
    }
});
const _interop_require_wildcard = require("@swc/helpers/_/_interop_require_wildcard");
const _reactinputlistbox = require("@fluentui-copilot/react-input-listbox");
const _reactpositioning = require("@fluentui/react-positioning");
const _react = /*#__PURE__*/ _interop_require_wildcard._(require("react"));
const defaultPositioningProps = {
    position: 'above',
    align: 'start',
    fallbackPositions: [
        'above'
    ],
    offset: {
        crossAxis: 0,
        mainAxis: 12
    },
    matchTargetSize: 'width',
    autoSize: true
};
const useGroundingMenuFunctionality = (props)=>{
    const { positioning = defaultPositioningProps, overrideActionHandler: userOverrideActionHandler, ...rest } = props;
    const overrideActionHandler = _react.useCallback((e, options)=>{
        const userAction = userOverrideActionHandler === null || userOverrideActionHandler === void 0 ? void 0 : userOverrideActionHandler(e, options);
        // By default Tab is configured to select the currently focused item.
        // For the GroundingMenu, Tab shouldn't do anything
        const localAction = e.key === 'Tab' ? 'None' : undefined;
        var _userAction_action;
        // If the user provided a different override, prefer that.
        const action = (_userAction_action = userAction === null || userAction === void 0 ? void 0 : userAction.action) !== null && _userAction_action !== void 0 ? _userAction_action : localAction;
        const isInSelectionMode = userAction === null || userAction === void 0 ? void 0 : userAction.isInSelectionMode;
        return {
            action,
            isInSelectionMode
        };
    }, [
        userOverrideActionHandler
    ]);
    const { triggerProps, inputListboxProps } = (0, _reactinputlistbox.useInputListboxFunctionality)({
        ...rest,
        overrideActionHandler
    });
    const { containerRef, targetRef } = (0, _reactpositioning.usePositioning)(positioning);
    return {
        positioningTargetRef: targetRef,
        groundingMenuProps: {
            ref: containerRef
        },
        groundingMenuListboxProps: inputListboxProps,
        controlSurfaceProps: triggerProps
    };
}; //# sourceMappingURL=useGroundingMenuFunctionality.js.map
