import { __resetStyles, mergeClasses } from '@fluentui/react-components';
import { tokens } from '@fluentui-copilot/tokens';
import { GROUNDING_MENU_GRID_AREAS } from '../GroundingMenu/useGroundingMenuStyles.styles';
export const groundingCommandBarClassNames = {
  root: 'fai-GroundingCommandBar'
};
const useRootBaseClassName = __resetStyles("r15mlcdh", null, [".r15mlcdh{grid-area:commandBar;width:100%;display:grid;align-items:center;grid-template-columns:[tabs-start] 1fr [tabs-end actions-start] auto [actions-end];padding:var(--spacingVerticalM) var(--spacingHorizontalL);box-sizing:border-box;border-bottom:var(--strokeWidthThin) solid var(--colorNeutralStroke2);}"]);
/**
 * Apply styling to the GroundingCommandBar slots based on the state
 */
export const useGroundingCommandBarStyles_unstable = state => {
  'use no memo';

  const rootBaseClassName = useRootBaseClassName();
  state.root.className = mergeClasses(groundingCommandBarClassNames.root, rootBaseClassName, state.root.className);
  return state;
};
//# sourceMappingURL=useGroundingCommandBarStyles.styles.js.map