import { __styles, mergeClasses, typographyStyles } from '@fluentui/react-components';
import { tokens } from '@fluentui-copilot/tokens';
export const GroundingCommandBarOverflowMenuClassNames = {
  root: 'fai-GroundingCommandBarOverflowMenu',
  menuTrigger: 'fai-GroundingCommandBarOverflowMenu__menuTrigger',
  menuButton: 'fai-GroundingCommandBarOverflowMenu__menuButton',
  menuPopover: 'fai-GroundingCommandBarOverflowMenu__menuPopover',
  menuList: 'fai-GroundingCommandBarOverflowMenu__menuList'
};
const topBottomPadding = `calc(${tokens.strokeWidthThin} + ${tokens.strokeWidthThick}) ${tokens.spacingHorizontalNone}`;
/**
 * Styles for the root slot
 */
const useStyles = __styles({
  root: {
    mc9l5x: "ftuwxu6",
    z8tnut: "f1e3qywj",
    Byoj8tv: "f1ha4k9u",
    z189sj: ["fdw0yi8", "fk8j09s"]
  },
  menuButton: {
    Bahqtrf: "fk6fouc",
    Be2twd7: "fkhj508",
    Bhrd7zp: "figsok6",
    Bg96gwp: "f1i3iumi"
  }
}, {
  d: [".ftuwxu6{display:inline-flex;}", ".f1e3qywj{padding-top:calc(var(--strokeWidthThin) + var(--strokeWidthThick)) var(--spacingHorizontalNone);}", ".f1ha4k9u{padding-bottom:calc(var(--strokeWidthThin) + var(--strokeWidthThick)) var(--spacingHorizontalNone);}", ".fdw0yi8{padding-right:var(--spacingHorizontalSNudge);}", ".fk8j09s{padding-left:var(--spacingHorizontalSNudge);}", ".fk6fouc{font-family:var(--fontFamilyBase);}", ".fkhj508{font-size:var(--fontSizeBase300);}", ".figsok6{font-weight:var(--fontWeightRegular);}", ".f1i3iumi{line-height:var(--lineHeightBase300);}"]
});
/**
 * Apply styling to the GroundingCommandBarOverflowMenu slots based on the state
 */
export const useGroundingCommandBarOverflowMenuStyles_unstable = state => {
  'use no memo';

  const styles = useStyles();
  state.root.className = mergeClasses(GroundingCommandBarOverflowMenuClassNames.root, styles.root, state.root.className);
  if (state.menuButton) {
    state.menuButton.className = mergeClasses(GroundingCommandBarOverflowMenuClassNames.menuButton, styles.menuButton, state.menuButton.className);
  }
  if (state.menuPopover) {
    state.menuPopover.className = mergeClasses(GroundingCommandBarOverflowMenuClassNames.menuPopover, state.menuPopover.className);
  }
  if (state.menuList) {
    state.menuList.className = mergeClasses(GroundingCommandBarOverflowMenuClassNames.menuList, state.menuList.className);
  }
  return state;
};
//# sourceMappingURL=useGroundingCommandBarOverflowMenuStyles.styles.js.map