import { __resetStyles, mergeClasses, typographyStyles } from '@fluentui/react-components';
import { tokens } from '@fluentui-copilot/tokens';
export const groundingMenuErrorClassNames = {
  root: 'fai-GroundingMenuError',
  image: 'fai-GroundingMenuError__image',
  heading: 'fai-GroundingMenuError__heading',
  body: 'fai-GroundingMenuError__body'
};
const useRootClassName = __resetStyles("r12cbjla", null, [".r12cbjla{display:flex;flex-direction:column;align-items:center;justify-content:center;gap:var(--spacingVerticalS);margin:auto;overflow:auto;max-height:100%;width:100%;}"]);
const useImageClassName = __resetStyles("r1wsuzl7", null, [".r1wsuzl7{width:64px;height:64px;}"]);
const useHeadingClassName = __resetStyles("r1q81hz0", null, [".r1q81hz0{font-family:var(--fontFamilyBase);font-size:var(--fontSizeBase500);font-weight:var(--fontWeightSemibold);line-height:var(--lineHeightBase500);}"]);
/**
 * Apply styling to the GroundingMenuError slots based on the state
 */
export const useGroundingMenuErrorStyles_unstable = state => {
  'use no memo';

  const rootClassName = useRootClassName();
  const imageClassName = useImageClassName();
  const headingClassName = useHeadingClassName();
  state.root.className = mergeClasses(groundingMenuErrorClassNames.root, rootClassName, state.root.className);
  if (state.image) {
    state.image.className = mergeClasses(groundingMenuErrorClassNames.image, imageClassName, state.image.className);
  }
  if (state.heading) {
    state.heading.className = mergeClasses(groundingMenuErrorClassNames.heading, headingClassName, state.heading.className);
  }
  if (state.body) {
    state.body.className = mergeClasses(groundingMenuErrorClassNames.body, state.body.className);
  }
  return state;
};
//# sourceMappingURL=useGroundingMenuErrorStyles.styles.js.map