import { Avatar, __styles, mergeClasses, shorthands, slot, typographyStyles } from '@fluentui/react-components';
import { tokens } from '@fluentui-copilot/tokens';
import { ACTIVEDESCENDANT_FOCUSVISIBLE_ATTRIBUTE } from '@fluentui/react-aria';
import { optionClassNames } from '@fluentui-copilot/react-input-listbox';
const FOCUS_VISIBLE_ATTR = 'data-fui-focus-visible';
export const groundingMenuItemClassNames = {
  root: 'fai-GroundingMenuItem',
  persona: 'fai-GroundingMenuItem__persona',
  submenuButton: 'fai-GroundingMenuItem__submenuButton'
};
const focusRectStyles = {
  content: '""',
  position: 'absolute',
  pointerEvents: 'none',
  zIndex: 1,
  ...shorthands.border(tokens.strokeWidthThick, `solid`, tokens.colorStrokeFocus2),
  borderRadius: tokens.borderRadiusMedium,
  top: '-2px',
  bottom: '-2px',
  left: '-2px',
  right: '-2px'
};
/**
 * Styles for the root slot
 */
const useStyles = __styles({
  root: {
    qhf8xq: "f10pi13n",
    Beyfa6y: 0,
    Bbmb7ep: 0,
    Btl43ni: 0,
    B7oj6ja: 0,
    Dimara: "ft85np5",
    Bceei9c: "f1k6fduh",
    Jwef8y: "f1knas48",
    Bi91k9c: "feu1g3u",
    B7grrci: "fx5pe3b",
    Bv4gink: "f6d8srz",
    mc9l5x: "f22iagw",
    Beiy3e4: "f1063pyq",
    Bmliigx: "fxe27oy",
    Brf1p80: "f1869bpl",
    phenn8: "fs8gksn",
    tt8fg8: "fx79arr",
    B9zxpzn: "f5a29qf",
    Bi0t2i9: "f12k8vsz",
    Bxlmyjc: "f2pqqtd",
    Bdapvaz: ["fbobk6i", "fsop6f0"],
    Brbrp0m: "fcfjv9",
    Jmvjou: ["fsop6f0", "fbobk6i"],
    v0wca2: "f1txq2oy",
    B2vvggz: ["f1v2kemd", "f1d272nk"],
    B9gpqwk: "fini1ad",
    o3ct9b: ["f1d272nk", "f1v2kemd"],
    Bolkhr8: "f15lo9zx",
    moq5r8: ["fdbd6pd", "f1htjmc7"],
    Iwdbit: "f1uzjn5c",
    B4helrw: ["f1htjmc7", "fdbd6pd"],
    je3n5i: 0,
    ma9poz: 0,
    Bdy9n2v: 0,
    Bm3s7ah: 0,
    izskm8: "f6ftz5s",
    rv54zx: "f4e65no",
    q16rmr: "f13h03fu",
    yxchn3: ["f1ksholu", "f1494r7q"],
    t89xzr: ["f1494r7q", "f1ksholu"]
  },
  secondaryText: {
    Bahqtrf: "fk6fouc",
    Be2twd7: "f13mqy1h",
    Bhrd7zp: "figsok6",
    Bg96gwp: "fcpl73t"
  },
  avatar: {
    t21cq0: ["fkujibs", "f199hnxi"]
  },
  avatarImage: {
    De3pzq: "f1k92xex"
  },
  disabled: {
    sj55zd: "f1s2aq7o",
    Jwef8y: "f9ql6rf",
    Bi91k9c: "fvgxktp",
    ecr2s2: "fgj9um3",
    lj723h: "f19wldhg",
    B7iucu3: "f1cyfu5x"
  },
  submenuButton: {
    Bqenvij: "f1l02sjl"
  },
  persona: {
    Bw0xxkn: 0,
    oeaueh: 0,
    Bpd4iqm: 0,
    Befb4lg: "f13htf1t",
    Bh6795r: "fqerorx",
    Byoj8tv: 0,
    uwmqm3: 0,
    z189sj: ["flk2ux3", "fkl3uby"],
    z8tnut: 0,
    B0ocmuz: "fwku66v"
  }
}, {
  d: [".f10pi13n{position:relative;}", [".ft85np5{border-radius:var(--borderRadiusMedium);}", {
    p: -1
  }], ".f1k6fduh{cursor:pointer;}", ".f22iagw{display:flex;}", ".f1063pyq{flex-direction:row;}", ".fxe27oy{align-content:center;}", ".f1869bpl{justify-content:space-between;}", ".fs8gksn>.fai-GroundingMenuItem__persona:is([data-fui-focus-visible],.fs8gksn [data-activedescendant-focusvisible])::after{content:\"\";}", ".fx79arr>.fai-GroundingMenuItem__persona:is([data-fui-focus-visible],.fx79arr [data-activedescendant-focusvisible])::after{position:absolute;}", ".f5a29qf>.fai-GroundingMenuItem__persona:is([data-fui-focus-visible],.f5a29qf [data-activedescendant-focusvisible])::after{pointer-events:none;}", ".f12k8vsz>.fai-GroundingMenuItem__persona:is([data-fui-focus-visible],.f12k8vsz [data-activedescendant-focusvisible])::after{z-index:1;}", ".f2pqqtd>.fai-GroundingMenuItem__persona:is([data-fui-focus-visible],.f2pqqtd [data-activedescendant-focusvisible])::after{border-top-width:var(--strokeWidthThick);}", ".fbobk6i>.fai-GroundingMenuItem__persona:is([data-fui-focus-visible],.fbobk6i [data-activedescendant-focusvisible])::after{border-right-width:var(--strokeWidthThick);}", ".fsop6f0>.fai-GroundingMenuItem__persona:is([data-fui-focus-visible],.fsop6f0 [data-activedescendant-focusvisible])::after{border-left-width:var(--strokeWidthThick);}", ".fcfjv9>.fai-GroundingMenuItem__persona:is([data-fui-focus-visible],.fcfjv9 [data-activedescendant-focusvisible])::after{border-bottom-width:var(--strokeWidthThick);}", ".f1txq2oy>.fai-GroundingMenuItem__persona:is([data-fui-focus-visible],.f1txq2oy [data-activedescendant-focusvisible])::after{border-top-style:solid;}", ".f1v2kemd>.fai-GroundingMenuItem__persona:is([data-fui-focus-visible],.f1v2kemd [data-activedescendant-focusvisible])::after{border-right-style:solid;}", ".f1d272nk>.fai-GroundingMenuItem__persona:is([data-fui-focus-visible],.f1d272nk [data-activedescendant-focusvisible])::after{border-left-style:solid;}", ".fini1ad>.fai-GroundingMenuItem__persona:is([data-fui-focus-visible],.fini1ad [data-activedescendant-focusvisible])::after{border-bottom-style:solid;}", ".f15lo9zx>.fai-GroundingMenuItem__persona:is([data-fui-focus-visible],.f15lo9zx [data-activedescendant-focusvisible])::after{border-top-color:var(--colorStrokeFocus2);}", ".fdbd6pd>.fai-GroundingMenuItem__persona:is([data-fui-focus-visible],.fdbd6pd [data-activedescendant-focusvisible])::after{border-right-color:var(--colorStrokeFocus2);}", ".f1htjmc7>.fai-GroundingMenuItem__persona:is([data-fui-focus-visible],.f1htjmc7 [data-activedescendant-focusvisible])::after{border-left-color:var(--colorStrokeFocus2);}", ".f1uzjn5c>.fai-GroundingMenuItem__persona:is([data-fui-focus-visible],.f1uzjn5c [data-activedescendant-focusvisible])::after{border-bottom-color:var(--colorStrokeFocus2);}", [".f6ftz5s>.fai-GroundingMenuItem__persona:is([data-fui-focus-visible],.f6ftz5s [data-activedescendant-focusvisible])::after{border-radius:var(--borderRadiusMedium);}", {
    p: -1
  }], ".f4e65no>.fai-GroundingMenuItem__persona:is([data-fui-focus-visible],.f4e65no [data-activedescendant-focusvisible])::after{top:-2px;}", ".f13h03fu>.fai-GroundingMenuItem__persona:is([data-fui-focus-visible],.f13h03fu [data-activedescendant-focusvisible])::after{bottom:-2px;}", ".f1ksholu>.fai-GroundingMenuItem__persona:is([data-fui-focus-visible],.f1ksholu [data-activedescendant-focusvisible])::after{left:-2px;}", ".f1494r7q>.fai-GroundingMenuItem__persona:is([data-fui-focus-visible],.f1494r7q [data-activedescendant-focusvisible])::after{right:-2px;}", ".fk6fouc{font-family:var(--fontFamilyBase);}", ".f13mqy1h{font-size:var(--fontSizeBase100);}", ".figsok6{font-weight:var(--fontWeightRegular);}", ".fcpl73t{line-height:var(--lineHeightBase100);}", ".fkujibs{margin-right:var(--spacingHorizontalM);}", ".f199hnxi{margin-left:var(--spacingHorizontalM);}", ".f1k92xex{background-color:unset;}", ".f1s2aq7o{color:var(--colorNeutralForegroundDisabled);}", ".f1l02sjl{height:100%;}", [".f13htf1t{outline:none;}", {
    p: -1
  }], ".fqerorx{flex-grow:1;}", [".fwku66v{padding:var(--spacingVerticalS) var(--spacingHorizontalXS);}", {
    p: -1
  }], ".flk2ux3{padding-right:var(--spacingHorizontalNone);}", ".fkl3uby{padding-left:var(--spacingHorizontalNone);}"],
  h: [".f1knas48:hover{background-color:var(--colorNeutralBackground1Hover);}", ".feu1g3u:hover{color:var(--colorNeutralForeground1Hover);}", ".f9ql6rf:hover{background-color:var(--colorTransparentBackground);}", ".fvgxktp:hover{color:var(--colorNeutralForegroundDisabled);}"],
  a: [".fx5pe3b:active:not(:has(button:active)){background-color:var(--colorNeutralBackground1Pressed);}", ".f6d8srz:active:not(:has(button:active)){color:var(--colorNeutralForeground1Pressed);}", ".fgj9um3:active{background-color:var(--colorTransparentBackground);}", ".f19wldhg:active{color:var(--colorNeutralForegroundDisabled);}"],
  m: [["@media (forced-colors: active){.f1cyfu5x{color:GrayText;}}", {
    m: "(forced-colors: active)"
  }]]
});
const useNextStyles = __styles({
  root: {
    Beyfa6y: 0,
    Bbmb7ep: 0,
    Btl43ni: 0,
    B7oj6ja: 0,
    Dimara: "f1kijzfu"
  }
}, {
  d: [[".f1kijzfu{border-radius:var(--borderRadiusXLarge);}", {
    p: -1
  }]]
});
/**
 * Apply styling to the GroundingMenuItem slots based on the state
 */
export const useGroundingMenuItemStyles_unstable = state => {
  'use no memo';

  const {
    designVersion,
    disabled
  } = state;
  const styles = useStyles();
  const nextStyles = useNextStyles();
  state.root.className = mergeClasses(groundingMenuItemClassNames.root, styles.root, designVersion === 'next' && nextStyles.root, disabled && styles.disabled, state.root.className);
  state.persona.className = mergeClasses(groundingMenuItemClassNames.persona, optionClassNames.root, styles.persona, state.persona.className);
  if (state.persona.avatar) {
    const avatar = slot.always(state.persona.avatar, {
      elementType: Avatar
    });
    avatar.className = mergeClasses(styles.avatar, avatar.className);
    if (avatar.image) {
      const avatarImageSlot = slot.always(avatar.image, {
        elementType: 'img'
      });
      avatarImageSlot.className = mergeClasses(styles.avatarImage, avatarImageSlot.className);
      avatar.image = avatarImageSlot;
    }
    state.persona.avatar = avatar;
  }
  if (state.persona.secondaryText) {
    const secondaryText = slot.always(state.persona.secondaryText, {
      elementType: 'span'
    });
    secondaryText.className = mergeClasses(styles.secondaryText, secondaryText.className);
    state.persona.secondaryText = secondaryText;
  }
  if (state.submenuButton) {
    state.submenuButton.className = mergeClasses(groundingMenuItemClassNames.submenuButton, styles.submenuButton, state.submenuButton.className);
  }
  return state;
};
//# sourceMappingURL=useGroundingMenuItemStyles.styles.js.map